"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const react_1 = __importDefault(require("react"));
const text_styled_1 = require("./text.styled");
const GlobalStyle_1 = __importDefault(require("../../Styles/GlobalStyle"));
const Text = ({ as = "p", children, color = "darkGrey", fontSize = "base", fontWeight = "base", }) => {
    (0, GlobalStyle_1.default)();
    const props = { color, fontSize, fontWeight };
    switch (as) {
        case "p":
            return react_1.default.createElement(text_styled_1.StyledText, Object.assign({}, props), children);
        case "h1":
            return react_1.default.createElement(text_styled_1.StyledHeading1, Object.assign({}, props), children);
        case "h2":
            return react_1.default.createElement(text_styled_1.StyledHeading2, Object.assign({}, props), children);
        case "h3":
            return react_1.default.createElement(text_styled_1.StyledHeading3, Object.assign({}, props), children);
        case "h4":
            return react_1.default.createElement(text_styled_1.StyledHeading4, Object.assign({}, props), children);
        case "h5":
            return react_1.default.createElement(text_styled_1.StyledHeading5, Object.assign({}, props), children);
        case "h6":
            return react_1.default.createElement(text_styled_1.StyledHeading6, Object.assign({}, props), children);
        case "span":
            return react_1.default.createElement(text_styled_1.StyledSpan, Object.assign({}, props), children);
        default:
            return react_1.default.createElement(text_styled_1.StyledText, Object.assign({}, props), children);
    }
};
exports.Text = Text;
//# sourceMappingURL=index.js.map