"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StyledSpan = exports.StyledHeading6 = exports.StyledHeading5 = exports.StyledHeading4 = exports.StyledHeading3 = exports.StyledHeading2 = exports.StyledHeading1 = exports.StyledText = void 0;
const stitches_config_1 = require("../../Config/stitches.config");
const colorVariants_1 = require("../../Config/SharedStyles/colorVariants");
const fontSizeVariants_1 = require("../../Config/SharedStyles/fontSizeVariants");
const fontWeightVariants_1 = require("../../Config/SharedStyles/fontWeightVariants");
const globalStyles = {
    padding: "0",
    margin: "0",
};
const variantStyles = {
    variants: {
        color: colorVariants_1.colorVariants,
        fontSize: fontSizeVariants_1.fontSizeVariants,
        fontWeight: fontWeightVariants_1.fontWeightVariants,
    },
};
exports.StyledText = (0, stitches_config_1.styled)("p", globalStyles, variantStyles);
exports.StyledHeading1 = (0, stitches_config_1.styled)("h1", globalStyles, variantStyles);
exports.StyledHeading2 = (0, stitches_config_1.styled)("h2", globalStyles, variantStyles);
exports.StyledHeading3 = (0, stitches_config_1.styled)("h3", globalStyles, variantStyles);
exports.StyledHeading4 = (0, stitches_config_1.styled)("h4", globalStyles, variantStyles);
exports.StyledHeading5 = (0, stitches_config_1.styled)("h5", globalStyles, variantStyles);
exports.StyledHeading6 = (0, stitches_config_1.styled)("h6", globalStyles, variantStyles);
exports.StyledSpan = (0, stitches_config_1.styled)("span", globalStyles, variantStyles);
//# sourceMappingURL=text.styled.js.map